## CUPS-PDF Spec-File

Summary: 		Extension for creating pdf-Files with CUPS
Name: 			cups-pdf
Version: 		2.5.1
Release: 		0.1
Group: 			Productivity/Publishing/PDF
Source0: 		http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/%{name}_%{version}.tar.gz
Source1: 		INSTALL.cups-pdf
Patch0:			cups-pdf-etc.diff
URL: 			http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/
#Vendor: 		Volker C. Behr <vrbehr@cip.physik.uni-wuerzburg.de>
#Packager: 		Christian Ellsworth C. <k.ellsworth@gmail.com>
License: 		GPL
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root
Requires:		ghostscript, cups
BuildPreReq:	gcc
Provides: 		cups-pdf

# These are the defaults paths defined in config.h
# CUPS-PDF spool directory
%define CPSPOOL /var/spool/cups-pdf/SPOOL

# CUPS-PDF output directory
%define CPOUT /var/spool/cups-pdf

# CUPS-PDF log directory
%define CPLOG /var/log/cups

# CUPS-PDF cups-pdf.conf config file
%define ETCCUPS /etc/cups

# Additional path to backend directory
%define CPBACKEND /usr/lib/cups/backend

%description
"cups-pdf" is a backend script for use with CUPS - the "Common UNIX Printing System"
(see more for CUPS under http://www.cups.org/). "cups-pdf" uses the ghostscript pdfwrite
device to produce PDF Files.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}
cp %SOURCE1 $RPM_BUILD_DIR/%{name}-%{version}/INSTALL
%patch0

%build
cd $RPM_BUILD_DIR/%{name}-%{version}/src
%{__cc} $RPM_OPT_FLAGS -o cups-pdf cups-pdf.c


%install
mkdir -p $RPM_BUILD_ROOT%{CPBACKEND}
mkdir -p $RPM_BUILD_ROOT%{CPSPOOL}
mkdir -p $RPM_BUILD_ROOT%{CPOUT}
mkdir -p $RPM_BUILD_ROOT%{CPLOG}
mkdir -p $RPM_BUILD_ROOT%{CPBACKEND}
mkdir -p $RPM_BUILD_ROOT%{ETCCUPS}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/cups/model/
install $RPM_BUILD_DIR/%{name}-%{version}/extra/CUPS-PDF.ppd $RPM_BUILD_ROOT/usr/share/cups/model/CUPS-PDF.ppd
install $RPM_BUILD_DIR/%{name}-%{version}/extra/cups-pdf.conf $RPM_BUILD_ROOT%{ETCCUPS}/cups-pdf.conf
install $RPM_BUILD_DIR/%{name}-%{version}/src/cups-pdf $RPM_BUILD_ROOT%{CPBACKEND}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%doc ChangeLog COPYING README INSTALL contrib/*
%defattr(-,root,root)
%dir %{CPBACKEND}
%dir %{CPSPOOL}
%dir %{CPOUT}
%dir %{CPLOG}
%attr(700, root, root) %{CPBACKEND}/cups-pdf
/usr/share/cups/model/CUPS-PDF.ppd
%config %{ETCCUPS}/cups-pdf.conf


%post
%run_ldconfig
lpadmin -p cups-pdf -v "cups-pdf:/" -m CUPS-PDF.ppd -E -D "Virtual PDF Printer" -L "Local Printer"
%restart_on_update cups

%postun
%run_ldconfig
lpadmin -x cups-pdf
%restart_on_update cups

%changelog
* Sun Mar 20 2011	joe_morris@ntm.org
- updated to 2.5.1
* Wed Oct 27 2010	joe_morris@ntm.org
- updated to 2.5.0
* Thu Dec 25 2008	joe_morris@ntm.org
- updated to 2.4.8
* Sun Apr 20 2008	joe_morris@ntm.org
- updated to 2.4.7
* Sun Aug 12 2007	joe_morris@ntm.org
- updated to 2.4.6
- adapted to openSUSE

* Mon Sep 26 2005	Christian Ellsworth C. <k.ellsworth@gmail.com>
- adapted to fit the new runtime config file of version 2.0


* Sat Mar 05 2005	Christian Ellsworth C. <k.ellsworth@gmail.com>
- adapted to cups-pdf 1.7.0
- added auto configure a cups-pdf printer

* Tue Feb 22 2005	Christian Ellsworth C. <k.ellsworth@gmail.com>
- adapted to cups-pdf 1.6.6

* Thu Aug 12 2004	Volker Behr <vrbehr@cip.physik.uni-wuerzburg.de>
- adapted to cups-pdf 1.5.2 

* Sat Jan 31 2004	Volker Behr <vrbehr@cip.physik.uni-wuerzburg.de>
- adapetd to cups-pdf 1.4.0 and new building environment

* Wed Jan 14 2004	Mark Lane <harddata.com>
- fixed the specfile so that x86_64 version installs the filter
- in /usr/lib64 instead of /usr/lib

* Sun Nov 02 2003	Volker Behr <vrbehr@cip.physik.uni-wuerzburg.de>
- third release of cups-pdf, RPM-Edition for cups-pdf 1.3

* Tue Sep 09 2003	Dirk Schwier <rpms@raumhochdrei.de>
- second Release of cups-pdf, RPM-Edition for cups-pdf 1.1

* Tue May 27 2003	Dirk Schwier <rpms@raumhochdrei.de>
- we're proud to present the first version of cups-pdf, RPM-Edition
